Project

General

Profile

Installation instructions » History » Version 70

Michael Coulter, 06/15/2012 05:19 PM

1 8 Ohad Levy
{{toc}}
2 1 Ohad Levy
3 38 Paul Kelly
h1. Requirements for the foreman core component
4 8 Ohad Levy
5 1 Ohad Levy
before you start, make sure you have:
6 1 Ohad Levy
7 1 Ohad Levy
* Puppet >= 0.24-4
8 1 Ohad Levy
* rake >= 0.84 
9 8 Ohad Levy
* rubygems
10 8 Ohad Levy
* ruby-sqlite3 (libsqlite3-ruby) if you are going to use sqlite as your database
11 8 Ohad Levy
* git (if installing from source )
12 67 Florian Koch
* ruby-libvirt (epel-repo, only for develop branch)
13 1 Ohad Levy
14 70 Michael Coulter
The installation has been successfully tested on RHEL[5,6], Fedora[13,14], Debian Linux 5.0 (Lenny) and 6.0 (Squeeze) and Ubuntu Linux 10.04, 10.10, 11.04, and 12.04. For older operating systems you might need additional packages (e.g. sqlite). 
15 44 Jochen Schalanda
16 34 Ohad Levy
It is also known to work on Solaris and Mac.
17 1 Ohad Levy
18 59 Romain Vrignaud
h1. Installation
19 21 Ohad Levy
20 68 Ohad Levy
* [[Using Puppet Module ready to use|Foreman Installer]]
21 63 Romain Vrignaud
* [[Debian-Ubuntu installation by packages]]
22 63 Romain Vrignaud
* [[RPM's distribution based installation]]
23 69 Ohad Levy
* [[Installing latest code]]
24 28 Ohad Levy
25 64 Romain Vrignaud
h1. Foreman Configuration
26 57 Romain Vrignaud
27 64 Romain Vrignaud
* [[Initial setup]]
28 66 Romain Vrignaud
* [[Database configuration]]
29 1 Ohad Levy
30 58 Romain Vrignaud
see also : [[Smart-Proxy Installation]]
31 1 Ohad Levy
32 8 Ohad Levy
h1. Future Updates
33 1 Ohad Levy
34 65 Romain Vrignaud
* [[Upgrade instructions]]
35 1 Ohad Levy
36 9 Ohad Levy
h1. Problems?
37 9 Ohad Levy
38 61 Romain Vrignaud
see [[Troubleshooting]] or [[FAQ]]